Ryzehosting
  1. server
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. server

order

POST
server/order

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://dash.ryzehosting.com/api/v2/server/order' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "cores": 6,
  "memory": 16384,
  "disk": 50,
  "hostsystem": "nl_ryzen",
  "os": "ubuntu24.04",
  "ipv4": 1,
  "ipv6": 1,
  "runtime": 30,
  "hostname": "",
  "terms": false,
  "privacy": false,
  "discount_code": ""
}'
Response Response Example
200 - Success
{
    "response": "VM successfully created",
    "state": "success",
    "code": 200,
    "data": {
        "uuid": "019b6d64-7c85-819d-a951-290012142ce1",
        "hostsystem": {
            "datacenter": {
                "name": "SkyLink Data Center BV",
                "country": "Niederlande",
                "city": "Eygelshoven"
            },
            "node": "nl_ryzen"
        },
        "config": {
            "cores": 6,
            "mem": 16384,
            "disk": 50,
            "os": {
                "name": "ubuntu24.04",
                "displayname": "Ubuntu 24.04"
            },
            "hostname": "vm38290",
            "network_speed": "10Gbit/s Shared Netzwerk",
            "backup_slots": "Automatische Backups alle 12 Stunden, mit Aufbewahrung der letzten 7 Tage",
            "ipv4_count": 1,
            "ipv6_count": 1,
            "ddos_protection": "PletX @ 4Tbit/s+"
        },
        "network": {
            "ipv4_addresses": [
                {
                    "ip": "5.175.140.57",
                    "gateway": "5.175.140.1",
                    "cidr": "24"
                }
            ],
            "ipv6_addresses": [
                {
                    "ip": "2a06:1283:8d00:014d::",
                    "gateway": "2a06:1283:8d00::1",
                    "cidr": "64"
                }
            ]
        },
        "credentials": {
            "username": "root",
            "password": "ElzAYXPgKQx7R4Ra"
        },
        "pricings": {
            "year": 259.20000000000005,
            "month": 21.6,
            "hour": 0.030000000000000002
        }
    }
}
Modified at 2025-12-30 03:59:54
Previous
hosts
Next
vnc
Built with